Description

I'm using Foreman with libvirt with about 15 vms. I started getting Connection Timeout when displaying the noVNC. I managed to fix

this problem by increasing some values in /usr/share/foreman/public/javascripts/noVNC/rfb.js:

    def_con_timeout  = Websock_native ? 5 : 15,

'disconnectTimeout',  'rw', 'int', 5,    'Time (s) to wait for disconnection'

Associated revisions

Revision 12ae4553 - 10/15/2012 04:08 AM - Ohad Levy

fixes #1852 - NoVNC Connection timeout with Firefox 15

History

#1 - 09/05/2012 08:59 AM - Ohad Levy

- Priority changed from High to Normal

do you have any idea why would it take more than 5 seconds to open a connection? is it a slow network?

#2 - 09/05/2012 09:12 AM - Jaroslav Henner

I think libvirt may be too slow to response. But I think it is irrelevant what is causing such lag. I would expect there is no harm done if the timeout is

increased. On the other hand, there is harm when it is too low!

On the other hand, from what I've found, TCP handshake sends 5 SYN packets, waiting no more than 200+800+1600+3200 = 5800ms.

#3 - 09/05/2012 09:14 AM - Ohad Levy

ok, care to send a pull request / patch? :)

#4 - 09/11/2012 01:53 AM - Ohad Levy

- Subject changed from NoVNC Connection timeout when using libvirt to NoVNC Connection timeout with Firefox 15

- Target version set to 1.1

ok, the real cause for this issue is described here:

https://bugzilla.mozilla.org/show_bug.cgi?id=789018

summary, FF15 opens too many connections at once, so the timeout fix (as shown in this patch and still waiting for a pull request) would be a

workaround only for FF15.

#5 - 09/11/2012 01:54 AM - Ohad Levy

- Assignee set to Jaroslav Henner

#6 - 10/15/2012 07:37 AM - Ohad Levy

- Status changed from New to Closed
https://bugzilla.mozilla.org/show_bug.cgi?id=789018


- % Done changed from 0 to 100

Applied in changeset 12ae4553ca1837a262697fbd249aeca360f5593a.
